//
//	MiscPClipTextField.h -- a TextField subclass for clipping long string 
//							values
//		Written by Balazs Pataki Copyright (c) 1995 by Balazs Pataki.
//				Version 1.0.  All rights reserved.

#import <appkit/TextField.h>

@interface MiscClipTextField : TextField

{
	id		fullStringValue;		// We need this in the tripple-click trick
}

+ setCellClass:classId;

- initFrame:(const NXRect *)rect;	
- free;

- setStringValue:(const char *)aString;
- takeStringValueFrom:sender;

- setClipEnabled:(BOOL)flag;
- setClipOnRight:(BOOL)flag;
- setClipperString:(const char*)aString;
- clipByChars:(const char*)delimiters;

- sizeTo:(NXCoord)width :(NXCoord)height;
- mouseDown:(NXEvent *)event;

- (const char*)fullStringValue;
- clipper;
- delimiters;
- (BOOL) doesClipOnRight;
- (BOOL) isClipEnabled;

- read:(NXTypedStream *)stream;
- write:(NXTypedStream *)stream;
- awake;

@end


@interface MiscClipTextField(IBStuff)
- (const char *)getInspectorClassName;
@end


@interface MiscClipTextField(Test)
- changeFont:sender;
@end
